質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
86.12%
Jupyter

Jupyter (旧IPython notebook)は、Notebook形式でドキュメント作成し、プログラムの記述・実行、その実行結果を記録するツールです。メモの作成や保存、共有、確認などもブラウザ上で行うことができます。

PyTorch

PyTorchは、オープンソースのPython向けの機械学習ライブラリ。Facebookの人工知能研究グループが開発を主導しています。強力なGPUサポートを備えたテンソル計算、テープベースの自動微分による柔軟なニューラルネットワークの記述が可能です。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

受付中

pytorch lightningでDataLoder設定時にエラー

programin-min
programin-min

総合スコア1

Jupyter

Jupyter (旧IPython notebook)は、Notebook形式でドキュメント作成し、プログラムの記述・実行、その実行結果を記録するツールです。メモの作成や保存、共有、確認などもブラウザ上で行うことができます。

PyTorch

PyTorchは、オープンソースのPython向けの機械学習ライブラリ。Facebookの人工知能研究グループが開発を主導しています。強力なGPUサポートを備えたテンソル計算、テープベースの自動微分による柔軟なニューラルネットワークの記述が可能です。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

1回答

0グッド

0クリップ

315閲覧

投稿2022/10/10 07:51

編集2022/10/10 07:53

前提

pytorch_lightningで@pl.data_loderにエラーがでます。
pytorch_lightningのVerは1.7.7です。
解決策をお待ちしております。

実現したいこと

エラーの解消

発生している問題・エラーメッセージ

AttributeError Traceback (most recent call last) Input In [24], in <cell line: 1>() ----> 1 class Net(pl.LightningModule): 2 # New: バッチサイズ等を引数に指定 3 def __int__(self, input_size=10, hidden_size=5, output_size=7, batch_size=10): 4 super(Net, self).__init__() Input In [24], in Net() 22 return torch.optim.SGD(self.parameters(),lr=0.1) 24 # New:train用のDataLoderの設定 ---> 25 @pl.data_loder 26 def train_dataloder(self): 27 return torch.utils.data.DataLoder(train, self.batch_size, shuffle=True) 29 # New:学習データに対する処理 AttributeError: module 'pytorch_lightning' has no attribute 'data_loder'

該当のソースコード

python

1class Net(pl.LightningModule): 2# New: バッチサイズ等を引数に指定 3 def __int__(self, input_size=10, hidden_size=5, output_size=7, batch_size=10): 4 super(Net, self).__init__() 5 self.fc1 = nn.Linear(input_size, hidden_size) 6 self.fc2 = nn.Linear(hidden_size, output_size) 7 self.batch_size = batch_size 8 9# 変更なし 10 def forward(self, x): 11 x = self.fc1(x) 12 x = F.relu(x) 13 x = self.fc2(x) 14 return x 15 16# New:目的変数の設定 lossfunは目的関数 17 def lossfun(self, y, t): 18 return F.cross_entropy(y,t) 19 20# New:optimizerの設定 configure optimizerは最適化手法の設定 21 def configure_optimizers(self): 22 return torch.optim.SGD(self.parameters(),lr=0.1) 23 24# New:train用のDataLoderの設定 25 @pl.data_loder 26 def train_dataloder(self): 27 return torch.utils.data.DataLoder(train, self.batch_size, shuffle=True) 28 29# New:学習データに対する処理 30 def training_step(self, batch, batch_nb): 31 x, t = batch 32 y = self.forword(x) 33 loss = self.lossfun(y, t) 34 results = {'loss':loss} 35 return results

試したこと

補足情報(FW/ツールのバージョンなど)

ここにより詳細な情報を記載してください。

以下のような質問にはグッドを送りましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

グッドが多くついた質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

2022/10/10 11:53

こちらの質問が他のユーザーから「やってほしいことだけを記載した丸投げの質問」という指摘を受けました。

回答1

0

AttributeError: module 'pytorch_lightning' has no attribute 'data_loder'

「loder」→「loader」
「Loder」→「Loader」

 
【追記】

pytorch_lightningのVerは1.7.7です。

「@pl.data_loader」は、0.9.0以降では使えなくなったようなので、0.9.0よりも古いのを使ってみてください
PyTorch Lightning(v 0.9.0)において@pl.data_loader部分でエラーが発生する問題

投稿2022/10/10 14:08

編集2022/10/13 05:28
jbpb0

総合スコア7493

良いと思った回答にはグッドを送りましょう。
グッドが多くついた回答ほどページの上位に表示されるので、他の人が素晴らしい回答を見つけやすくなります。

下記のような回答は推奨されていません。

  • 間違っている回答
  • 質問の回答になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

このような回答には修正を依頼しましょう。

回答へのコメント

programin-min

2022/10/11 01:32

スペルミス失礼いたしました。 「loader」、「Loader」としても以下エラーが出てしまいます。 AttributeError: module 'pytorch_lightning' has no attribute 'Data_Loader' data_loader、Data_Loaderとしても同様のエラーが出てしまいます。 解決策ありましたらご教授いただけますと幸いです。
jbpb0

2022/10/11 01:43 編集

> AttributeError: module 'pytorch_lightning' has no attribute 'Data_Loader' data_loader、Data_Loaderとしても同様のエラーが出てしまいます。 > pytorch_lightningのVerは1.7.7です。 「@pl.data_loader」は、0.9.0以降では使えなくなったようです https://teratail.com/questions/290969

まだベストアンサーが選ばれていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
86.12%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Jupyter

Jupyter (旧IPython notebook)は、Notebook形式でドキュメント作成し、プログラムの記述・実行、その実行結果を記録するツールです。メモの作成や保存、共有、確認などもブラウザ上で行うことができます。

PyTorch

PyTorchは、オープンソースのPython向けの機械学習ライブラリ。Facebookの人工知能研究グループが開発を主導しています。強力なGPUサポートを備えたテンソル計算、テープベースの自動微分による柔軟なニューラルネットワークの記述が可能です。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。